Skip to main content
`Ctrl`+`K`

# PEPLinearSetExplicitMatrix

Indicate if the matrices \(A\) and \(B\) for the linearization of the problem must be built explicitly.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearSetExplicitMatrix(PEP pep,PetscBool explicitmat)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- explicitmat - boolean flag indicating if the matrices are built explicitly

## Options Database Key

- -pep_linear_explicitmatrix (true|false) - set the boolean flag

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPLINEAR`, `PEPLinearGetExplicitMatrix()`

## Level

advanced

## Location

src/pep/impls/linear/linear.c

## Implementations

PEPLinearSetExplicitMatrix_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages